
package etunicorn.generated.model;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "nom",
    "prix",
    "date"
})
public class UpdateEvenementByIdRequest {

    /**
     * 
     */
    @JsonProperty("nom")
    private String nom;
    /**
     * 
     */
    @JsonProperty("prix")
    private Float prix;
    /**
     * 
     */
    @JsonProperty("date")
    private String date;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    /**
     * 
     * @return
     *     The nom
     */
    @JsonProperty("nom")
    public String getNom() {
        return nom;
    }

    /**
     * 
     * @param nom
     *     The nom
     */
    @JsonProperty("nom")
    public void setNom(String nom) {
        this.nom = nom;
    }

    /**
     * 
     * @return
     *     The prix
     */
    @JsonProperty("prix")
    public Float getPrix() {
        return prix;
    }

    /**
     * 
     * @param prix
     *     The prix
     */
    @JsonProperty("prix")
    public void setPrix(Float prix) {
        this.prix = prix;
    }

    /**
     * 
     * @return
     *     The date
     */
    @JsonProperty("date")
    public String getDate() {
        return date;
    }

    /**
     * 
     * @param date
     *     The date
     */
    @JsonProperty("date")
    public void setDate(String date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(nom).append(prix).append(date).append(additionalProperties).toHashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }
        if ((other instanceof UpdateEvenementByIdRequest) == false) {
            return false;
        }
        UpdateEvenementByIdRequest rhs = ((UpdateEvenementByIdRequest) other);
        return new EqualsBuilder().append(nom, rhs.nom).append(prix, rhs.prix).append(date, rhs.date).append(additionalProperties, rhs.additionalProperties).isEquals();
    }

}
