
package etunicorn.generated.model;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "participant",
    "prix"
})
public class UpdateEvenementCreditRequest {

    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("participant")
    private Object participant;
    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("prix")
    private Float prix;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    /**
     * 
     * (Required)
     * 
     * @return
     *     The participant
     */
    @JsonProperty("participant")
    public Object getParticipant() {
        return participant;
    }

    /**
     * 
     * (Required)
     * 
     * @param participant
     *     The participant
     */
    @JsonProperty("participant")
    public void setParticipant(Object participant) {
        this.participant = participant;
    }

    /**
     * 
     * (Required)
     * 
     * @return
     *     The prix
     */
    @JsonProperty("prix")
    public Float getPrix() {
        return prix;
    }

    /**
     * 
     * (Required)
     * 
     * @param prix
     *     The prix
     */
    @JsonProperty("prix")
    public void setPrix(Float prix) {
        this.prix = prix;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(participant).append(prix).append(additionalProperties).toHashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }
        if ((other instanceof UpdateEvenementCreditRequest) == false) {
            return false;
        }
        UpdateEvenementCreditRequest rhs = ((UpdateEvenementCreditRequest) other);
        return new EqualsBuilder().append(participant, rhs.participant).append(prix, rhs.prix).append(additionalProperties, rhs.additionalProperties).isEquals();
    }

}
