
package etunicorn.generated.model;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "participant",
    "id"
})
public class UpdateEvenementRequest {

    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("participant")
    private Object participant;
    /**
     * 
     * (Required)
     * 
     */
    @JsonProperty("id")
    private Object id;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    /**
     * 
     * (Required)
     * 
     * @return
     *     The participant
     */
    @JsonProperty("participant")
    public Object getParticipant() {
        return participant;
    }

    /**
     * 
     * (Required)
     * 
     * @param participant
     *     The participant
     */
    @JsonProperty("participant")
    public void setParticipant(Object participant) {
        this.participant = participant;
    }

    /**
     * 
     * (Required)
     * 
     * @return
     *     The id
     */
    @JsonProperty("id")
    public Object getId() {
        return id;
    }

    /**
     * 
     * (Required)
     * 
     * @param id
     *     The id
     */
    @JsonProperty("id")
    public void setId(Object id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(participant).append(id).append(additionalProperties).toHashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }
        if ((other instanceof UpdateEvenementRequest) == false) {
            return false;
        }
        UpdateEvenementRequest rhs = ((UpdateEvenementRequest) other);
        return new EqualsBuilder().append(participant, rhs.participant).append(id, rhs.id).append(additionalProperties, rhs.additionalProperties).isEquals();
    }

}
