
package etunicorn.generated.model;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "carte",
    "naissance",
    "login",
    "role"
})
public class UpdatePersonneRequest {

    /**
     * 
     */
    @JsonProperty("carte")
    private String carte;
    /**
     * 
     */
    @JsonProperty("naissance")
    private String naissance;
    /**
     * 
     */
    @JsonProperty("login")
    private String login;
    /**
     * 
     */
    @JsonProperty("role")
    private Object role;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    /**
     * 
     * @return
     *     The carte
     */
    @JsonProperty("carte")
    public String getCarte() {
        return carte;
    }

    /**
     * 
     * @param carte
     *     The carte
     */
    @JsonProperty("carte")
    public void setCarte(String carte) {
        this.carte = carte;
    }

    /**
     * 
     * @return
     *     The naissance
     */
    @JsonProperty("naissance")
    public String getNaissance() {
        return naissance;
    }

    /**
     * 
     * @param naissance
     *     The naissance
     */
    @JsonProperty("naissance")
    public void setNaissance(String naissance) {
        this.naissance = naissance;
    }

    /**
     * 
     * @return
     *     The login
     */
    @JsonProperty("login")
    public String getLogin() {
        return login;
    }

    /**
     * 
     * @param login
     *     The login
     */
    @JsonProperty("login")
    public void setLogin(String login) {
        this.login = login;
    }

    /**
     * 
     * @return
     *     The role
     */
    @JsonProperty("role")
    public Object getRole() {
        return role;
    }

    /**
     * 
     * @param role
     *     The role
     */
    @JsonProperty("role")
    public void setRole(Object role) {
        this.role = role;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(carte).append(naissance).append(login).append(role).append(additionalProperties).toHashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }
        if ((other instanceof UpdatePersonneRequest) == false) {
            return false;
        }
        UpdatePersonneRequest rhs = ((UpdatePersonneRequest) other);
        return new EqualsBuilder().append(carte, rhs.carte).append(naissance, rhs.naissance).append(login, rhs.login).append(role, rhs.role).append(additionalProperties, rhs.additionalProperties).isEquals();
    }

}
