package etunicorn.repository;

import etunicorn.entity.Personne;
import org.springframework.data.repository.CrudRepository;

/**
 * etunicorn-server
 * Copyright © 2017 Le Club Info Polytech Lille
 * Tous droits réservés
 */
public interface PersonneRepository extends CrudRepository<Personne, Long> {
    Personne findByLogin(String login);

    Personne findByCarte(String carte);
    Personne findById(Integer id);
}
